#!/usr/bin/perl -w -I . -I /usr/sausalito/perl
use strict;
use CCE;

my $cce = new CCE;
$cce->connectuds();

# check if exists already
my (@oids) = $cce->find("Workgroup", { name => "restore" });
if($#oids >= 0) { $cce->bye(); exit 0; }

my $ret = $cce->create("Workgroup", { 
	name => "restore",
	members => "&admin&",
	dont_delete => 'true',
	description => '[[base-backup.restoreDescription]]',
	desc_readonly => 'true'
        }
);

my $oid = $cce->oid();
# quota of -1 = no quota (be careful!!)
$cce->set($oid, "Disk", { 'quota' => '-1' });


( $ret ) ? die "Failed to create restore workgroup" : 0;
